Subject: Re: [Bitcoin-development] Protocol changes

From: Andy Parkins <[email-masked]>
Date: Thu, 11 Aug 2011 18:24:42 +0100

On Thursday 11 August 2011 17:17:23 Mike Hearn wrote:

> This thread is getting off-topic so I changed the subject.

Fair enough.

> > The benefit I'm aiming at is to imagine a thin client that has done a
> > fast startup and only downloaded the headers.
> 
> OK. A better way is tx filtering, as discussed here:
> 
>    http://bitcointalk.org/?topic=7972.0
> 
> The reason is you want to only get the transactions+merkle branches
> relevant to you, otherwise cost is still O(system activity) not O(your
> activity) as blocks get bigger, even if you don't download every
> block.

Well okay; it seems to me that that is considerably bigger task, and I'm not 
sure how likely that is to appear.  But that sounds workable, since my 
feature request is simply this filtering system with the filter set to 
"ALL"; so I can hardly complain about that.

> > The sequence number (and perhaps I've misunderstood) allows me to
> > replace a transaction I've already submitted
> 
> Yes, but it's more complex than that.

 ... good stuff removed for brevity ...

> sequence number than mine - so we establish a kind of chain. Nobody
> can rewind the transaction to an earlier point, but anyone can update
> it within the parameters established by the SIGHASH flags on the
> others signatures.

I can't say I see what the point of all that added complexity is, contracts 
are usually more than just financial, and the ability to pick a slightly 
different set of source inputs doesn't seem like a hugely useful feature; 
but I'm willing to accept someone thinks it is a good idea and leave it at 
that.  I withdraw my "move sequence number" feature request.

> You can't change anything about the inputs beyond scripts this way.
> The transaction still has to connect to the same outputs as before,
> and thus import the same amount of value.

What then allows the contract out of the memory pool into a chain?  The 
locktime?  No, no, forget it... I don't want to open a new can of worms.

Andy
-- 
Dr Andy Parkins
[email-masked]